package eu.mhsl.minenet.minigames.world.generator;

import eu.mhsl.minenet.minigames.world.BlockPallet;
import net.minestom.server.instance.generator.Generator;

public abstract class PlateTerrainGenerator implements Generator {
    protected int plateHeight = 0;
    protected BlockPallet platePallet = BlockPallet.GROUND;
    protected boolean generateBorders = false;

    public PlateTerrainGenerator setPlateHeight(int plateHeight) {
        this.plateHeight = plateHeight;
        return this;
    }

    public PlateTerrainGenerator setPlatePallet(BlockPallet platePallet) {
        this.platePallet = platePallet;
        return this;
    }

    public PlateTerrainGenerator setGenerateBorders(boolean generateBorders) {
        this.generateBorders = generateBorders;
        return this;
    }

    public boolean generatePlate() {
        return plateHeight > 0;
    }
}
